For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGets configured context fields
      • POSTCreate a context field
      • GETGets context field
      • PUTUpdate an existing context field
      • DELDelete an existing context field
      • POSTAdd or update legal value for the context field
      • DELDelete legal value for the context field
      • POSTValidate a context field
      • GET[BETA] Gets configured context fields
      • POST[BETA] Create a context field
      • GET[BETA] Gets context field
      • PUT[BETA] Update an existing context field
      • DEL[BETA] Delete an existing context field
      • POST[BETA] Add or update legal value for the context field
      • DEL[BETA] Delete legal value for the context field
      • POST[BETA] Validate a context field

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIContext

Gets context field

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/context/:contextField
GET
/api/admin/context/:contextField
$curl https://app.unleash-instance.example.com/api/admin/context/contextField \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "name": "userId",
3 "description": "Used to uniquely identify users",
4 "stickiness": true,
5 "sortOrder": 900,
6 "createdAt": "2023-06-29T10:19:00.000Z",
7 "usedInFeatures": 3,
8 "usedInProjects": 2,
9 "legalValues": [
10 {
11 "value": "#c154c1",
12 "description": "Deep fuchsia"
13 }
14 ],
15 "project": "my-project"
16}
Returns specific [context field](https://docs.getunleash.io/concepts/unleash-context) identified by the name in the path
Was this page helpful?
Previous

Update an existing context field

Next
Built with

Returns specific context field identified by the name in the path

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

contextFieldstringRequired

Response

contextFieldSchema
namestring
The name of the context field
descriptionstring or null
The description of the context field.
stickinessboolean

Does this context field support being used for stickiness calculations

sortOrderinteger
Used when sorting a list of context fields. Is also used as a tiebreaker if a list of context fields is sorted alphabetically.
createdAtstring or nullformat: "date-time"
When this context field was created
usedInFeaturesinteger or null>=0
Number of projects where this context field is used in
usedInProjectsinteger or null>=0
Number of projects where this context field is used in
legalValueslist of objects
Allowed values for this context field schema. Can be used to narrow down accepted input
projectstring

The project this context field belongs to (if it is project-specific)